Skip to content

Delete a New Strategy Group

Request

Delete a strategy group by ID. Any attached strategies are detached (their strategy_group_id is set to NULL); they are not deleted and retain their campaign_id.

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
strategy_group_idinteger, (int64)required
curl -i -X DELETE \
  'https://api.mediamath.com/api/v3.0/new_strategy_groups/{strategy_group_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Deleted

Bodyapplication/json
dataobject(new_strategy_group_full)
metaobject
Response
{ "data": { "name": "string", "description": "string", "spend_cap_type": "even", "spend_cap_amount": 0.01, "impression_cap_type": "even", "impression_cap_amount": 1, "external_identifier": "string", "id": 0, "entity_type": "string", "version": 0, "campaign_id": 0, "strategy_count": 3, "strategies": [], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "success" } }